curl --request GET \
--url https://api.sandbox.isometric.com/registry/v0/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/registry/v0/projects/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/registry/v0/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country_code": "GBR",
"crediting_period_end": "2023-12-25",
"crediting_period_start": "2023-12-25",
"current_verifier_name": "<string>",
"durability": "over_one_thousand_years",
"id": "prj_1CTWZQGKE1S0VAXA",
"issued_buffer_pool_credits_total": {
"credit_kgs": 125632,
"credits": 125.632
},
"issued_credits_total": {
"credit_kgs": 125632,
"credits": 125.632
},
"location": {
"country_code": "GBR",
"country_name": "<string>",
"latitude": 51.5072,
"longitude": -0.1276,
"description": "<string>"
},
"name": "<string>",
"pathway": "biomass_carbon_removal_and_storage",
"protocol_data": {
"baseline_version": "1.0",
"current_version": "1.0",
"name": "Biochar Production and Storage",
"slug": "direct-air-capture"
},
"protocol_slug": "direct-air-capture",
"retired_buffer_pool_credits_total": {
"credit_kgs": 125632,
"credits": 125.632
},
"retired_credits_total": {
"credit_kgs": 125632,
"credits": 125.632
},
"short_code": "F5X7",
"status": "draft",
"supplier": {
"id": "spl_1CC712KFS1S0YKPS",
"location": {
"country_code": "GBR",
"country_name": "<string>",
"latitude": 51.5072,
"longitude": -0.1276,
"description": "<string>"
},
"long_description": "<string>",
"organisation": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"short_description": "<string>"
},
"url": "<string>",
"validator_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Project
Information about a specific project.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
Response
Successful Response
An ISO 3166-1 alpha-3 country code
3^[A-Z]{3}$"GBR"
"USA"
The name of the organization currently responsible for verifying this project, if assigned
The durability of the carbon removal performed by this project
permanent, over_one_thousand_years, over_two_hundred_years, over_one_hundred_years, over_eighty_years, over_sixty_years, over_forty_years "over_one_thousand_years"
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
The total number of credits from this project that have been allocated to the supplier's buffer pool
Show child attributes
Show child attributes
The total number of credits Isometric has issued to this project, including those allocated to the buffer pool
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The pathway this project is following
biomass_carbon_removal_and_storage, biosphere, direct_air_capture, enhanced_weathering, carbon_mineralization, marine, superpollutants, environmental_attribute_certificates "biomass_carbon_removal_and_storage"
Information about the protocol this project is following, including versions
Show child attributes
Show child attributes
A protocol's URL-friendly identifier: lowercase alphanumeric groups separated by single hyphens
1 - 100^[a-z][a-z0-9]*(-[a-z0-9]+)*$"direct-air-capture"
"enhanced-weathering-agriculture"
The total number of credits from this project that have been retired from the supplier's buffer pool
Show child attributes
Show child attributes
The total number of credits from this project that have been retired, including those allocated to the buffer pool
Show child attributes
Show child attributes
A random short code, uniquely identifying the project
"F5X7"
The project status
draft, preview, under_validation, validated, validation_unsuccessful, cancelled Show child attributes
Show child attributes
The url to the Isometric page for this project
The name of the organization responsible for validating this project, if assigned
Was this page helpful?